## org.apache.xpath.domapi
Class XPathNSResolverImpl

    java.lang.Object
      org.apache.xml.utils.PrefixResolverDefault
          org.apache.xpath.domapi.XPathNSResolverImpl

All Implemented Interfaces:
  PrefixResolver, XPathNSResolver

public class XPathNSResolverImpl
extends PrefixResolverDefault
implements XPathNSResolver

The class provides an implementation XPathNSResolver according to the DOM L3 XPath API Specification, Working Draft 28, March 2002.

The `XPathNSResolver` interface permit `prefix` strings in the expression to be properly bound to `namespaceURI` strings. `XPathEvaluator` can construct an implementation of `XPathNSResolver` from a node, or the interface may be implemented by any application.

See also the Document Object Model (DOM) Level 3 XPath Specification.

See Also:
  `XPathNSResolver`
Usage:
  **Experimental**

Constructor Summary
`XPathNSResolverImpl(Node xpathExpressionContext)` Constructor for XPathNSResolverImpl.

Method Summary
`java.lang.String` `lookupNamespaceURI(java.lang.String prefix)` Look up the namespace URI associated to the given namespace prefix.

Methods inherited from class org.apache.xml.utils.PrefixResolverDefault
`getBaseIdentifier, getNamespaceForPrefix, getNamespaceForPrefix, handlesNullPrefixes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathNSResolverImpl

    public XPathNSResolverImpl(Node xpathExpressionContext)

  Constructor for XPathNSResolverImpl.

Parameters:
  `xpathExpressionContext` -

Method Detail

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  Description copied from interface: `XPathNSResolver`
  Look up the namespace URI associated to the given namespace prefix. The XPath evaluator must never call this with a `null` or empty argument, because the result of doing this is undefined.

  Specified by:
    `lookupNamespaceURI` in interface `XPathNSResolver`
  Parameters:
    `prefix` - The prefix to look for.
  Returns:
    Returns the associated namespace URI or `null` if none is found.
  See Also:
    `XPathNSResolver.lookupNamespaceURI(String)`

Copyright © 2004 Apache XML Project. All Rights Reserved.